<?xml version="1.0"?>
<!DOCTYPE module PUBLIC
"-//Puppy Crawl//DTD Check Configuration 1.3//EN"
"http://www.puppycrawl.com/dtds/configuration_1_3.dtd">

<module name="Checker">
    <property name="charset" value="UTF-8"/>
    <property name="fileExtensions" value="java"/>

    <module name="SuppressionFilter">
        <property name="file" value="checkstyle/suppressions.xml"/>
        <property name="optional" value="false"/>
    </module>

    <module name="TreeWalker">
        <!-- file structure -->
        <module name="AvoidStarImport"/>
        <module name="DeclarationOrder"/>

        <!-- naming -->
        <module name="ClassTypeParameterName"/>
        <module name="ConstantName"/>
        <module name="MethodName"/>
        <module name="PackageName">
            <property name="format" value="^[a-z]+(\.[a-z][a-z0-9]*)*$"/>
        </module>
        <module name="TypeName"/>

        <!-- blocks, braces -->
        <module name="AvoidNestedBlocks"/>
        <module name="EmptyBlock"/>
        <module name="NeedBraces"/>
        <module name="LeftCurly"/>
        <module name="RightCurly"/>

        <!-- whitespace -->
        <module name="EmptyLineSeparator">
            <property name="allowNoEmptyLineBetweenFields" value="true"/>
        </module>
        <module name="GenericWhitespace"/>
        <module name="NoWhitespaceBefore"/>
        <module name="NoWhitespaceAfter"/>
        <module name="WhitespaceAround"/>
        <module name="ParenPad"/>
    </module> <!-- end TreeWalker -->

    <module name="FileTabCharacter"/>
</module>

